/// <reference types="spotify-web-playback-sdk" />
interface Options {
    name: string;
    getOAuthToken: () => Promise<string>;
    accountError?: (e: unknown) => void;
    onReady?: (deviceId: string) => void;
    onPlayerStateChanged?: Spotify.PlaybackStateListener;
}
declare global {
    interface Window {
        Spotify: typeof Spotify;
    }
}
export declare function useSpotifyWebPlaybackSdk({ name, getOAuthToken, accountError, onReady, onPlayerStateChanged, }: Options): {
    player: Spotify.SpotifyPlayer | null;
    deviceId: string;
    isReady: boolean;
};
export {};
